TriPlane Class Reference

`#include <LatticeAlgs.h>`

## Public Member Functions

| TriPlane (Neighbor a, Neighbor b, Neighbor c)
bool | isLine () const
bool | closeToPlane (Neighbor a)
bool | inPlane (Neighbor a) const
mpz_class | dotNormal (Neighbor a) const
bool | isParallel (const TriPlane &plane) const
bool | isParallel (const Plane &plane) const
const Matrix & | getNormal () const
| returns the normal of the plane as the row of a matrix.

## Private Attributes

Neighbor | _a
Neighbor | _b
Neighbor | _c
Matrix | _normal
bool | _line

## Detailed Description

Definition at line 383 of file LatticeAlgs.h.

## Constructor & Destructor Documentation

## TriPlane()

TriPlane::TriPlane | ( | Neighbor | a,
|  | Neighbor | b,
|  | Neighbor | c )

inline

Definition at line 385 of file LatticeAlgs.h.

## Member Function Documentation

## closeToPlane()

bool TriPlane::closeToPlane | ( | Neighbor | a | ) |

inline

Definition at line 403 of file LatticeAlgs.h.

## dotNormal()

mpz_class TriPlane::dotNormal | ( | Neighbor | a | ) | const

inline

Definition at line 413 of file LatticeAlgs.h.

## getNormal()

const Matrix & TriPlane::getNormal | ( |  | ) | const

inline

returns the normal of the plane as the row of a matrix.

Definition at line 433 of file LatticeAlgs.h.

## inPlane()

bool TriPlane::inPlane | ( | Neighbor | a | ) | const

inline

Definition at line 409 of file LatticeAlgs.h.

## isLine()

bool TriPlane::isLine | ( |  | ) | const

inline

Definition at line 399 of file LatticeAlgs.h.

## isParallel() [1/2]

bool TriPlane::isParallel | ( | const Plane & | plane | ) | const

inline

Definition at line 427 of file LatticeAlgs.h.

## isParallel() [2/2]

bool TriPlane::isParallel | ( | const TriPlane & | plane | ) | const

inline

Definition at line 420 of file LatticeAlgs.h.

## Member Data Documentation

## _a

Neighbor TriPlane::_a

private

Definition at line 438 of file LatticeAlgs.h.

## _b

Neighbor TriPlane::_b

private

Definition at line 438 of file LatticeAlgs.h.

## _c

Neighbor TriPlane::_c

private

Definition at line 438 of file LatticeAlgs.h.

## _line

bool TriPlane::_line

private

Definition at line 440 of file LatticeAlgs.h.

## _normal

Matrix TriPlane::_normal

private

Definition at line 439 of file LatticeAlgs.h.

The documentation for this class was generated from the following file:

- src/LatticeAlgs.h